Skip to content

BGP Peer Status.

POST
/api/data/namespaces/{namespace}/infraprotect/bgp_peer_status
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/infraprotect/bgp_peer_status \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "namespace": "example", "time": "example" }'

API to GET routed DDoS BGP peer status information.

Examples of this operation.

namespace
required
string

Namespace

Media typeapplication/json
BGP Peer Status Request

Request to GET routed DDoS BGP peer status information.

object
namespace
Namespace

Human-readable name for the resource

string
>= 6 characters <= 1024 characters
time
Time

Timestamp at which the snapshot of the BGP peer status data should be fetched. Format: unix_timestamp|RFC 3339

Optional: If not specified, then the end_time will be evaluated to

string
<= 1024 characters
Examplegenerated
{
"namespace": "example",
"time": "example"
}

A successful response.

Media typeapplication/json
BGP Peer Status Response

Routed DDoS BGP peer status response data.

object
items
BGP Peer Status Items

BGP Peer Status Items contains routed DDoS BGP peer status data for each router/peer combination.

Array<object>
BGP Peer Status Item

Routed DDoS BGP peer status data specific to a given router/peer combination.

object
asn
ASN

Autonomous System Number for BGP peer.

integer format: int64
bgp_peer_address
object
ipv4
object
addr
IPv4 Address

IPv4 Address in string form with dot-decimal notation.

string
<= 1024 characters
ipv6
object
addr
IPv6 Address

IPv6 Address in form of string. IPv6 address must be specified as hexadecimal numbers separated by ’:’ The address can be compacted by suppressing zeros e.g. ‘2001:db8:0:0:0:0:2:1’ becomes ‘2001:db8::2:1’ or ‘2001:db8:0:0:0:2:0:0’ becomes ‘2001:db8::2::’

string
<= 1024 characters
device_location
object
name
Location Name

Device location name Required: YES.

string
>= 6 characters <= 256 characters
zone1
object
zone2
object
last_established

Configuration parameter for last established

string format: date-time
<= 1024 characters
session_state
string
default: Idle
Allowed values: Idle Connect Active OpenSent OpenConfirm Established
Example
{
"items": [
{
"session_state": "Idle"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example